project:
  name: project
  collection: gameservices.projects
  attributes:
  - &project
    parameter_name: projectsId
    attribute_name: project
    help: Cloud Project name.
    property: core/project

location:
  name: location
  collection: gameservices.projects.locations
  attributes:
  - *project
  - &location
    parameter_name: locationsId
    attribute_name: location
    property: game_services/location
    help: Google Cloud location.

operation:
  name: operation
  collection: gameservices.projects.locations.operations
  attributes:
  - *project
  - *location
  - &operation
    parameter_name: operationsId
    attribute_name: operation
    help: Cloud Game Services Operation.

realm:
  name: realm
  collection: gameservices.projects.locations.realms
  request_id_field: realmId
  attributes:
  - *project
  - *location
  - &realm
    parameter_name: realmsId
    attribute_name: realm
    help: Cloud Game Servers Realm.

default_realm:
  name: realm
  collection: gameservices.projects.locations.realms
  request_id_field: realmId
  attributes:
  - *project
  - *location
  - &default_realm
    parameter_name: realmsId
    attribute_name: realm
    property: game_services/default_realm
    help: Cloud Game Servers Realm.

cluster:
  name: game server cluster
  collection: gameservices.projects.locations.realms.gameServerClusters
  request_id_field: gameServerClusterId
  attributes:
  - *project
  - *location
  - *realm
  - &cluster
    parameter_name: gameServerClustersId
    attribute_name: cluster
    help: Cloud Game Servers Cluster.

deployment:
  name: deployment
  collection: gameservices.projects.locations.gameServerDeployments
  request_id_field: deploymentId
  attributes:
  - *project
  - *location
  - &deployment
    parameter_name: gameServerDeploymentsId
    attribute_name: deployment
    help: Cloud Game Servers Deployment.

default_deployment:
  name: deployment
  collection: gameservices.projects.locations.gameServerDeployments
  request_id_field: deploymentId
  attributes:
  - *project
  - *location
  - &default_deployment
    parameter_name: gameServerDeploymentsId
    attribute_name: deployment
    property: game_services/default_deployment
    help: Cloud Game Servers Deployment.


config:
  name: game server config
  collection: gameservices.projects.locations.gameServerDeployments.configs
  request_id_field: configId
  attributes:
  - *project
  - *location
  - *deployment
  - &config
    parameter_name: configsId
    attribute_name: config
    help: Cloud Game Servers Configs.
